// DocVwWebBrowserDemoView.cpp : implementation of the CDocVwWebBrowserDemoView class
//

#include "stdafx.h"
#include "DocVwWebBrowserDemo.h"

#include "DocVwWebBrowserDemoDoc.h"
#include "DocVwWebBrowserDemoView.h"

#include "..\HTMLWriter.h"
#include "AddDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CDocVwWebBrowserDemoView

IMPLEMENT_DYNCREATE(CDocVwWebBrowserDemoView, CHtmlView)

BEGIN_MESSAGE_MAP(CDocVwWebBrowserDemoView, CHtmlView)
	//{{AFX_MSG_MAP(CDocVwWebBrowserDemoView)
	ON_COMMAND(AD_ADD, OnAdd)
	ON_COMMAND(ID_WRITE, OnWrite)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDocVwWebBrowserDemoView construction/destruction

CDocVwWebBrowserDemoView::CDocVwWebBrowserDemoView()
{
	// TODO: add construction code here

}

CDocVwWebBrowserDemoView::~CDocVwWebBrowserDemoView()
{
}

BOOL CDocVwWebBrowserDemoView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CHtmlView::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CDocVwWebBrowserDemoView drawing

void CDocVwWebBrowserDemoView::OnDraw(CDC* pDC)
{
	CDocVwWebBrowserDemoDoc* pDoc = GetDocument();
	ASSERT_VALID(pDoc);
	// TODO: add draw code for native data here
}

void CDocVwWebBrowserDemoView::OnInitialUpdate()
{
	CHtmlView::OnInitialUpdate();

	// TODO: This code navigates to a popular spot on the web.
	//  change the code to go where you'd like.
	Navigate2(_T("about:blank"),NULL,NULL);
}

/////////////////////////////////////////////////////////////////////////////
// CDocVwWebBrowserDemoView diagnostics

#ifdef _DEBUG
void CDocVwWebBrowserDemoView::AssertValid() const
{
	CHtmlView::AssertValid();
}

void CDocVwWebBrowserDemoView::Dump(CDumpContext& dc) const
{
	CHtmlView::Dump(dc);
}

CDocVwWebBrowserDemoDoc* CDocVwWebBrowserDemoView::GetDocument() // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CDocVwWebBrowserDemoDoc)));
	return (CDocVwWebBrowserDemoDoc*)m_pDocument;
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CDocVwWebBrowserDemoView message handlers

void CDocVwWebBrowserDemoView::OnAdd() 
{
	CAddDialog addDialog;
	if (IDOK == addDialog.DoModal())
	{
		CHTMLWriter htmlWriter( m_pBrowserApp );

		htmlWriter.Add( addDialog.m_sHTML );
	}
}

void CDocVwWebBrowserDemoView::OnWrite() 
{
	CHTMLWriter htmlWriter( m_pBrowserApp );

	htmlWriter.Write( _T("<html><head><title>My page</title></head>\n")
		_T("<body><p><font face=verdana size=2>This page is written dynamically to the\n")
		_T("WebBrowser control using the CHTMLWriter class.")
		_T("<br><br><a href=\"mailto:ehsan@beginthread.com\">Email me</a></font></p></body></html>") );
}
